/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

/* FUENTE */

@import url('https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&display=swap');

/* VARIABLES POR DEFECTO */



:root {
  --c-negro: #000;
  --c-blanco: #FFFFFF;

  --c-primario: #1b8790;

  --c-secundario: blue;

  --c-grisclaro: #EFEFEF;
  --c-gris: #f9f9f9;

  --f-sans: 'DM Sans', sans-serif;
}



/* OUTLINE */

*:focus { outline: 0px solid orange; }

::selection {
  background-color: #1b869075;
  color: inherit;
}

/* ESTILOS COMUNES */

.zindex0 {
  z-index:0;
}

.zindex1 {
  z-index:1;
}

body {
  font-family: var(--f-sans) !important;
  color: var(--c-negro) !important;
  font-size:16px !important;
  line-height: 1.6875rem ;
}

h1, h2, h3 {
  color: var(--c-negro) !important;
  font-family: var(--f-sans) !important;
  font-weight: 300 !important;
}

h1 {
  font-size: clamp(2.5rem, 6vw, 5rem);
  
}

h2 {
  font-size: clamp(1.5rem, 5vw, 3rem);
}

h3 {
  font-size: clamp(0.8rem, 2.5vw, 1.5rem);
}

p {
  font-size: 16px !important;
  font-family: var(--f-sans) !important;
  color: var(--c-negro) !important;
}

@media (min-width: 1024px) and (max-width: 1280px) {
  h1 {
    font-size: 40px; 
  }
   body {
    font-size: clamp(16px, 0.5vw + 12px, 18px); 
  }
}

a {
  color: var(--c-negro) ;
  text-decoration: none;
  opacity: 1;
  transition: all 0.4s ease !important;
}

a:hover {
  opacity: 0.8;
}

.main-navigation .main-nav ul li[class*="current-menu-"] > a {
  color: var(--c-negro);
  font-weight: 300;
}

.inside-header.grid-container {
  max-width: 80vw !important;
}

.inside-header {
  padding: 40px 0px !important;
}

@media screen and (min-width: 768px) and (max-width: 1366px) {
  .inside-header.grid-container {
    max-width: 100vw !important;
    padding-inline: 40px !important;
  }
}

@media (max-width: 767px) {
  .inside-header.grid-container {
    max-width: 100vw !important;
    padding-inline: 30px !important;
  }

  .site-header .header-image {
    width: 200px;
}
}

/* BARRA DE SCROLL */

/* Para navegadores basados en WebKit (Chrome, Safari, Edge) */
::-webkit-scrollbar {
  cursor: pointer;
  width: 10px; 
}

/* Fondo de la barra de desplazamiento */
::-webkit-scrollbar-track {
  background: var(--c-gris); 
  cursor: pointer;
}

/* Color de la barra en sí */
::-webkit-scrollbar-thumb {
  background: #1b869048; 
  transition: all 0.3s ease-in;
  cursor: pointer;
}

/* Cuando el usuario pasa el cursor sobre la barra */
::-webkit-scrollbar-thumb:hover {
  background: var(--c-negro); 
  transition: all 0.3s ease-in;
}

.admin-bar .lg-toolbar {
    top: 32px;
    display: none;
}


/* CAPTCHA */



.grecaptcha-badge {
  display: none !important;
}

.lg-outer .lg-img-wrap {
    padding: 80px !important;
}

.lg-backdrop {
    backdrop-filter: blur(10px); /* Agrega difuminado */
}

.wpr-grid-media-hover-bg {
      transition-duration: 0.1s !important;
}


.wpr-grid-item-inner {
  transition: 1s ease-in 0.1s !important;
}